//BUSQUEDA DE TABREPACT
var formaTABREPACT = null;
var panelTABREPACT = null;
var GridStoreTABREPACT = null;
var currentStrId = "";
var currentProducto = "";
var arrActividadsTABREPACT = null, arrCompaniasTABREPACT = null;

function TABREPACT_Constructor(){
	idTab = 'TABREPACT';

	var txtBoton = "";
		
	panelTABREPACT = new Ext.Panel({
						width:'100%',
						height: '80%',
						autoScroll:false,
						disabled: false
	});
	
	formaTABREPACT = new Ext.FormPanel({
		labelAlign: 'top',
        labelWidth: 75,
        frame:true,
		bodyStyle:'padding:5px 5px 0',
        width: '100%',
		height:700,
        items: [
				panelTABREPACT
			   ]
    });
	
	$("#divRepActividad").empty();
	formaTABREPACT.render("divRepActividad");

	panelTABREPACT.load({
		url: "vistas/tabRepActividad.php",
		params: {intMode:0, campo:'', order:''}, // or a URL encoded string
		callback: function(data){   
						
		    //Actividads
/*			var strUrlEve = "data/comboboxes.php?method=Actividads&intEmpresa="+ intEmpresa +"&rnd="+ Math.random();
			$.get(strUrlEve, function(dataNew){
				
				var data = $.parseJSON(dataNew);
				var arrItems = data.Items;
				//console.log(arrItems);
				$( "#divFiltrosReporteActividad" ).find( "#txtActividad" ).autocomplete({
				  source: arrItems,
				  select: function( event, ui ) {
					 //console.log(ui);
  					 getDataTABREPACT( ui["item"].id );
					//console.log(ui["item"].id +" - "+ ui["item"].label);
				  }
				});
			});
*/			
			getDataTABREPACT(0);
			
			$( "#dialog-reporte-Actividad" ).dialog({
			  dialogClass: 'smallTitleStuff',
			  autoOpen: false,
			  position:"top",
			  width: 530,
			  height: 530,
			  modal: true,
			  close: function() {
					limpiarTextboxesTABREPACT();
			  }
			});
						
		},
		discardUrl: false,
		nocache: false,
		text: 'Loading...',
		timeout: 30,
		scripts: false
	});
}

function getDataTABREPACT(intCat){
	
	if(objUsuario.empresa!=null){
		
		$( "#divReporteActividadGrid" ).html("<div style='width:200px; margin-top:25px; margin-left:auto; margin-right:auto;'><img src='css/images/loading.gif'/></div>");
		var heightDiv = parseInt($( "#divReporteActividadGrid" ).css("height").toString().replace("px",""))-10;
	
		var strUrl = "data/repActividad.php?intEmpresa="+ objUsuario.empresa +"&rnd="+ Math.random();
		$.get(strUrl, function(dataNew){
			if(	dataNew.toLowerCase().indexOf("error") < 0 ){		
				if(	dataNew.length > 20 ){	
					var data = $.parseJSON(dataNew);
					var arrItems = data.Items;
					
					console.log(arrItems);
					
					GridStoreTABREPACT = new Ext.data.JsonStore({
					  root: 'Items',
					  fields: [ 'intVisita', 'intDocumento', 'strDocumento', 'intUsuario', 'strUsuario', 'datFechaLeido' , 'strTiempoLectura' , 'datFechaApertura' ],
					  data: { Items: arrItems}
					});   
				
					$( "#divReporteActividadGrid" ).html("");
					
					var summary = new Ext.ux.grid.GridSummary();
		
					var grid = new Ext.grid.GridPanel({
					renderTo: document.getElementById("divReporteActividadGrid"),
					plugins: [summary],
					frame: true,
					title: 'Actividad',
					width:'100%',
					height: heightDiv,
					fbar : [ new Ext.Toolbar.TextItem('<b>Registros: '+ arrItems.length + '</b>')],
					store: GridStoreTABREPACT,
					  columns: [
						  {header: "Id Documento", width: 80, dataIndex: 'intDocumento', sortable: true},
						  {header: "Documento", width: 130, dataIndex: 'strDocumento', sortable: true},
						  {header: "Usuario", width: 130, dataIndex: 'strUsuario', sortable: true},
						  {header: "Leido", width: 140, dataIndex: 'datFechaLeido', sortable: true, 
							renderer: function (value, metaDat, record) {
								//if(value.indexOf(".")>0){
								if(value!=""){
									var newValue = "<span style='padding-left:10px; padding-right:10px; background:#0F0;'>"+ value +"</span>";
								}else{
									var newValue = "<span style='padding-left:8px; padding-right:7px; background:#F00;'>No</span>";
								}
								return newValue;
							} 
						  },
						  {header: "TiempoLectura", width: 130, dataIndex: 'strTiempoLectura', sortable: true},
						  {header: "Apertura de Email", width: 140, dataIndex: 'datFechaApertura', sortable: true, 
							renderer: function (value, metaDat, record) {
								//if(value.indexOf(".")>0){
								if(value!=""){
									var newValue = "<span style='padding-left:10px; padding-right:10px; background:#0F0;'>"+ value +"</span>";
								}else{
									var newValue = "<span style='padding-left:8px; padding-right:7px; background:#F00;'>No</span>";
								}
								return newValue;
							} 
						  }
					  ]
					});
				}else{
					$( "#divReporteActividadGrid" ).html("<p align='center' style='margin-top:100px;'>No hay registros para esta consulta</p>");
				}
			}else{
				$( "#divReporteActividadGrid" ).html("<p align='center' style='margin-top:100px;'>Existe un error: "+ dataNew +"</p>");
			}
		});
		
	}else{
		alert("Todos los campos son requeridos");
	}
}

function limpiarTextboxesTABREPACT(){
	$( "#dialog-reporte-Actividad" ).find( "#txtIntProducto" ).val('');
	$( "#dialog-reporte-Actividad" ).find( "#txtNombre" ).val('');
	$( "#dialog-reporte-Actividad" ).find( "#txtDescripcion" ).val('');
	$( "#dialog-reporte-Actividad" ).find( "#txtCodigo" ).val('');
	$( "#dialog-reporte-Actividad" ).find( "#txtUnidad" ).val('');
	$( "#dialog-reporte-Actividad" ).find( "#txtPrecio" ).val('');
	$( "#dialog-reporte-Actividad" ).find( "#txtCantidad" ).val();
	$( "#dialog-reporte-Actividad" ).find( "#selectCategoria" ).val('');
	$( "#dialog-reporte-Actividad" ).find( "#selectActivo" ).val('');
	$( "#imgProducto" ).attr("src", '');
	
	currentStrId = "";
	currentProducto = "";
	
}

function AddEditTABREPACT(intCase, id){
	console.log("AddEditTABREPACT > Modo = " + intCase);
	
	$( "#btnGuardar" + idTab).unbind( "click" );
	$( "#btnCancelar" + idTab).unbind( "click" );
	$( "#btnEliminar" + idTab).unbind( "click" );
	
	if(intCase===1){
		
		limpiarTextboxesTABREPACT();

		currentStrId = "" + Math.random();
		
		$( "#btnGuardar" + idTab).click(function() {
			abcTABREPACT(1);
		});
		
		$( "#btnCancelar" + idTab ).click(function() {
			$( "#dialog-reporte-Actividad" ).dialog("close");
		});
		
		$( "#btnEliminar" + idTab ).css({ visibility:"hidden" });
		
		$( "#dialog-reporte-Actividad" ).dialog("open");
		
	}else{
		
		var record = null;

		GridStoreTABREPACT.each(function(rd){  // REGRESA EL NOMBRE DE USUARIO
			//console.log(id, rd.data["intUsuario"]);
			if( parseInt(id) == parseInt(rd.data["intProducto"]) ){
				record = rd;
			}
		});
		
		if(record != null){
			currentProducto = record.data["intProducto"];

			$( "#dialog-reporte-Actividad" ).find( "#txtIntProducto" ).val(record.data["intProducto"]);
			$( "#dialog-reporte-Actividad" ).find( "#txtNombre" ).val(record.data["strNombre"]);
			$( "#dialog-reporte-Actividad" ).find( "#txtDescripcion" ).val(record.data["strDescripcion"]);
			$( "#dialog-reporte-Actividad" ).find( "#txtCodigo" ).val(record.data["strCodigo"]);
			$( "#dialog-reporte-Actividad" ).find( "#txtUnidad" ).val(record.data["strUnidad"]);
			$( "#dialog-reporte-Actividad" ).find( "#txtPrecio" ).val(record.data["dblPrecio"]);
			$( "#dialog-reporte-Actividad" ).find( "#txtCantidad" ).val(record.data["intCantidad"]);
			$( "#dialog-reporte-Actividad" ).find( "#selectCategoria" ).val(record.data["intCategoria"]);
			$( "#dialog-reporte-Actividad" ).find( "#selectActivo" ).val(record.data["bitActivo"]);
			$("#imgProducto").attr("src", record.data["strUrlImagen"]);
	
			$( "#btnGuardar" + idTab).click(function() {
				abcTABREPACT(2);
			});
			
			$( "#btnCancelar" + idTab ).click(function() {
				$( "#dialog-reporte-Actividad" ).dialog("close");
			});
			
			$( "#btnEliminar" + idTab ).css({ visibility:"visible" });
			$( "#btnEliminar" + idTab ).click(function() {
				abcTABREPACT(3);
			});
			
			$( "#dialog-reporte-Actividad" ).dialog("open");
	
		}
	}
}

function abcTABREPACT(intCase){
	
	if($( "#dialog-reporte-Actividad" ).find("#txtNombre" ).val() != ""){

		var sQuery = "data/catFacturacion.php?intMode="+ intCase +"&intProducto="+ $( "#dialog-reporte-Actividad" ).find( "#txtIntProducto" ).val() 
		+"&strNombre="+ $( "#dialog-reporte-Actividad" ).find("#txtNombre" ).val() 
		+"&strDescripcion="+ $( "#dialog-reporte-Actividad" ).find( "#txtDescripcion" ).val() 
		+"&strCodigo="+ $( "#dialog-reporte-Actividad" ).find( "#txtCodigo" ).val() 
		+"&strUnidad="+ $( "#dialog-reporte-Actividad" ).find( "#txtUnidad" ).val() 
		+"&dblPrecio="+ $( "#dialog-reporte-Actividad" ).find( "#txtPrecio" ).val() 
		+"&intCantidad="+ $( "#dialog-reporte-Actividad" ).find( "#txtCantidad" ).val() 
		+"&intCategoria="+ $( "#dialog-reporte-Actividad" ).find( "#selectCategoria" ).val() 
		+"&bitActivo="+ $( "#dialog-reporte-Actividad" ).find( "#selectActivo" ).val() 
		+"&intEmpresa="+ objUsuario.empresa + "&currentStrId="+ currentStrId +"&rnd="+ Math.random();
		
		var today = new Date();
		//console.log(sQuery, today +" - "+ today.getTime());
		
		$.post(sQuery, function(dataNew){
			console.log(dataNew);
						
			getDataTABREPACT($( "#divFiltrosFacturacion" ).find( "#selectCategoria" ).val());

			$( "#dialog-reporte-Actividad" ).dialog("close");
		});
		
	}else{
		alert("Todos los campos son requeridos.");
	}
}



